-- Legacy Isolate Mode Script v1.0  3-30-2012
-- Due to a change in the Isolate Selection Tool in 3ds Max 2013 the standard Isolate is now only a toggle of on & off
-- This script is a functional example of assigning the legacy functionality to a keyboard shortcut or button.
-- Thanks to Larry Minton on the new maxscript access commands and the functions
-- Author Kelly Michels, kelly.michels@autodesk.com

macroScript RolloutIsolate
    category:             "Isolate Legacy Tools KB"
    internalCategory:     "Isolate Legacy Tools KB"
    buttonText:           "RolloutIsolateKB"
    icon:                 #("Systems",2)
   tooltip:             "Isolate legacy Selection Keyboard"
	
(

					
fn ExpandIsolateSelectionMode =
				(
				  if(IsolateSelection.IsolateSelectionModeActive()) then
					IsolateSelection.ExitIsolateSelectionMode()
				  IsolateSelection.EnterIsolateSelectionMode()
				)
	
   on Execute do
    (
        ExpandIsolateSelectionMode() 
    )
)

